EnumCritterPropDescription (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.grouping.prop.EnumCritterPropDescription class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.grouping.prop
Class EnumCritterPropDescription

    java.lang.Object
      org.hyperic.hq.grouping.prop.BasicCritterPropDescription
          org.hyperic.hq.grouping.prop.EnumCritterPropDescription

All Implemented Interfaces:
  CritterPropDescription

    public class EnumCritterPropDescription

extends BasicCritterPropDescription

Constructor Summary
`EnumCritterPropDescription(java.lang.String id, java.lang.String name, java.lang.String purpose, java.lang.Class enumClass)`
`EnumCritterPropDescription(java.lang.String id, java.lang.String name, java.lang.String purpose, java.lang.Class enumClass, boolean required)`

Method Summary
`java.util.List` | `getPossibleValues()` Get all possible values of this enumeration.

Methods inherited from class org.hyperic.hq.grouping.prop.BasicCritterPropDescription
`getId, getName, getPurpose, getType, isRequired`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnumCritterPropDescription

    public EnumCritterPropDescription(java.lang.String id,
                                      java.lang.String name,
                                      java.lang.String purpose,
                                      java.lang.Class enumClass,
                                      boolean required)

### EnumCritterPropDescription

    public EnumCritterPropDescription(java.lang.String id,
                                      java.lang.String name,
                                      java.lang.String purpose,
                                      java.lang.Class enumClass)

Method Detail

### getPossibleValues

    public java.util.List getPossibleValues()

  Get all possible values of this enumeration.

  Returns:
    a list of `HypericEnum`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.